Event Grouping Update

The Event Grouping Update service allows you to update an existing event grouping value in the system.

Service Name

event_grouping_update

Required Parameters

NameType
event_grouping_idinteger
namestring

Optional Parameters

NameType
order_byinteger

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=event_grouping_update&event_grouping_id=1&name=Updated+Value"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="event_grouping_update" name="srv"/>
      <argument value="9" name="event_grouping_id"/>
      <argument value="BOOKKEEPING" name="name"/>
    </parameters>
  </request>
  <response>
    <service>event_grouping_update</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <event_groupings count="1">
      <event_grouping id="9">
        <name>BOOKKEEPING</name>
        <order_by>9</order_by>
        <owner id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">0123456789</phone>
          </phones>
        </owner>
        <editable>1</editable>
        <listed>1</listed>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>0000-00-00 00:00:00</created>
        <modified>2014-01-28 10:25:33</modified>
      </event_grouping>
    </event_groupings>
  </response>
</ccb_api>